Bug 1025465 - [RFE] The ISOImporter should log human readable errors when it cannot retrieve units or the manifest
[RFE] The ISOImporter should log human readable errors when it cannot retriev...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
Master
All Linux
medium Severity medium
: ---
: 2.4.0
Assigned To: Randy Barlow
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 14:39 EDT by Randy Barlow
Modified: 2014-08-09 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:55:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-10-31 14:39:45 EDT
Currently, the ISOImporter reports unit download failures only via the progress report. It is requested that it also insert an error into the pulp.log indicating which unit couldn't be downloaded, and a reason.
Comment 1 Randy Barlow 2014-04-05 17:30:49 EDT
https://github.com/pulp/pulp_rpm/pull/468
Comment 2 Randy Barlow 2014-04-24 16:28:40 EDT
The fix for this bug is included in the 2.4.0-0.10.beta build that was just published to the Pulp fedorapeople.org repository.
Comment 3 Preethi Thomas 2014-06-25 15:33:17 EDT
verified
[root@ibm-x3550m3-10 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.21.beta.el6.noarch
[root@ibm-x3550m3-10 ~]# 

Jun 25 21:31:28 ibm-x3550m3-10 pulp: nectar.downloaders.threaded:ERROR: Download of http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_repo_centos_comps_data/PULP_MANIFEST failed with code 404: Not Found
Jun 25 21:31:28 ibm-x3550m3-10 pulp: pulp_rpm.plugins.importers.iso.sync:ERROR: Failed to download http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_repo_centos_comps_data/PULP_MANIFEST: Not Found.
Comment 4 Randy Barlow 2014-08-09 02:55:43 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.